summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgcomm-7
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/msgcomm-7')
-rwxr-xr-xgettext-tools/tests/msgcomm-76
1 files changed, 4 insertions, 2 deletions
diff --git a/gettext-tools/tests/msgcomm-7 b/gettext-tools/tests/msgcomm-7
index 6738513..dff5165 100755
--- a/gettext-tools/tests/msgcomm-7
+++ b/gettext-tools/tests/msgcomm-7
@@ -29,11 +29,13 @@ msgid "2"
msgstr "2x"
EOF
-tmpfiles="$tmpfiles mcomm-test7.out"
+tmpfiles="$tmpfiles mcomm-test7.tmp mcomm-test7.out"
: ${MSGCOMM=msgcomm}
-${MSGCOMM} --more-than=0 --no-location --omit-header -o mcomm-test7.out \
+${MSGCOMM} --more-than=0 --no-location --omit-header -o mcomm-test7.tmp \
mcomm-test7.in1 mcomm-test7.in2
test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+tr -d '\r' < mcomm-test7.tmp > mcomm-test7.out
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
tmpfiles="$tmpfiles mcomm-test7.ok"
cat << EOF > mcomm-test7.ok